Bug 58923 - Installation of incomplete downloaded .oxt shouldn't be possible
Summary: Installation of incomplete downloaded .oxt shouldn't be possible
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Extension-Manager
  Show dependency treegraph
 
Reported: 2013-01-01 18:30 UTC by Rainer Bielefeld Retired
Modified: 2018-10-11 13:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-01 18:30:41 UTC
Steps how to reproduce [Reproducible] with server  installation of  "4.1.0.0.alpha0+ (Build ID: c97a46ad210c4747af2309d0c75d9a0bdb642ed) TinderBox: Win-x86@6, Branch:master, Time: 2012-12-31_22:40:07   -  ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with LO41 Masters User Profile (Attention, this might destroy your installation:

1. Launch LibO
2. Menu 'Tools -> Extension Manager ->  Get more extensions online ...'
3. Search for "LanguageTool 2.0"
4. Start Download to a temporary folder
5. Immediately menu 'Tools -> Extension Manager -> Add'
6. Browse for "LanguageTool-2.0.oxt" and start installation for all users 
   at 20% < current download status < 30%
   Expected: no installation, warning because download incomplete
   Actual: It seems that Extension will be installed quickly, but installation
           will be incomplete, Disable button will be missing in EM, and
           It will be impossible to Uninstall that extension (several
           "Not found / Not exist" messages

I did not yet check with what LibO Version that problem started and whether other Extensions also are affected.

Message when try to uninstall:
------------------------------
(com.sun.star.lang.IllegalArgumentException) { { { Message = "Cannot detect media-type: file:///C:/LibO_Server/LOM41/2012-12-31@6/program/../share/uno_packages/cache/uno_packages/lu34bdx.tmp_/LanguageTool-2.0.oxt", Context = (com.sun.star.uno.XInterface) @58d7da8 } }, ArgumentPosition = (short) -1 }
Comment 1 Joel Madero 2013-01-11 02:19:23 UTC
Confirmed

Version 4.1.0.0.alpha0+ (Build ID: 0260f0b256c3675bb6d836c0a2babb7626577b7)
Version 3.6.3.2 as well

Marking As:
Changing Platform (verified on Linux)
New (confirmed)
Minor - I think that Minor is appropriate as it only happens if a user is impatient and adds the extension really fast. Almost just user error ;) but I agree a warning is appropriate
Low - default for minor, IMO appropriate

Changing version to reflect that it's not a new bug to 4.0.

Rainer - of course if you disagree with any of this feel free to change it :)
Comment 2 Kumāra 2013-12-12 10:44:25 UTC
This is still true for 4.1.2.3. Now I'm stuck with a half installed extension! (In my case, it's Readability Report.)

Even if it's due to impatience, not being able to undo it is unforgiving. (In my case, I wasn't being impatient. I just thought the downloading was done.) Setting status to medium and normal.
Comment 3 Kumāra 2013-12-12 10:48:12 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2015-04-19 03:22:04 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-09-20 09:24:38 UTC Comment hidden (obsolete)
Comment 6 Timur 2017-10-10 09:08:51 UTC
Repro in 6.0+. 
This is related to my Bug 38255 for removal of damaged extension.
Comment 7 QA Administrators 2018-10-11 03:03:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug